% Wilma Bainbridge
% January 20 2016

% Reposition image fitting .NII to match BV TAL anatomy
clear all

load('sub16-memforclass-down.mat'); % the file to convert
res = 3; % mm per voxel

avgAcc = permute(avgAcc, [2,3,1]);
avgAcc = flip(avgAcc,1);
avgAcc = flip(avgAcc,2);
targetSize = size(avgAcc);

savefile = BVQXfile('vmp');
xcenter = (savefile.XEnd + savefile.XStart)/2;
ycenter = (savefile.YEnd + savefile.YStart)/2;
zcenter = (savefile.ZEnd + savefile.ZStart)/2;
savefile.NrOfMaps                       = 1;
savefile.XStart                         = xcenter-floor(targetSize(1)*res/2); % 144-94
savefile.XEnd                           = xcenter+ceil(targetSize(1)*res/2);
savefile.YStart                         = ycenter-floor(targetSize(2)*res/2); % 112-69
savefile.YEnd                           = ycenter+ceil(targetSize(2)*res/2);
savefile.ZStart                         = zcenter-floor(targetSize(3)*res/2); %128-79
savefile.ZEnd                           = zcenter+ceil(targetSize(3)*res/2);
savefile.Resolution                     = res;
savefile.VMRDimX                        = 256;
savefile.VMRDimY                        = 256;
savefile.VMRDimZ                        = 256;
savefile.Map(1).Name                 = 'avgAcc';
savefile.Map(1).VMPData              = avgAcc; % values in the file
savefile.SaveAs('test-sub16-memforclass-down.vmp'); % output file
